org.apache.lucene.queryparser.surround.query

## Class SrndQuery

- java.lang.Object
- - org.apache.lucene.queryparser.surround.query.SrndQuery

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  ComposedQuery, FieldsQuery, SimpleTerm

    public abstract class SrndQuery
    extends Object
    implements Cloneable

Lowest level base class for surround queries

### Constructor Summary

Constructors
Constructor and Description
`SrndQuery()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`SrndQuery` `clone()`
`boolean` `equals(Object obj)` For subclasses of `SrndQuery` within the package `org.apache.lucene.queryparser.surround.query` it is not necessary to override this method,
`float` `getWeight()`
`String` `getWeightOperator()`
`String` `getWeightString()`
`int` `hashCode()` For subclasses of `SrndQuery` within the package `org.apache.lucene.queryparser.surround.query` it is not necessary to override this method,
`boolean` `isFieldsSubQueryAcceptable()`
`boolean` `isWeighted()`
`Query` `makeLuceneQueryField(String fieldName, BasicQueryFactory qf)`
`abstract Query` `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
`void` `setWeight(float w)`
`abstract String` `toString()` This method is used by `hashCode()` and `equals(Object)`, see LUCENE-2945.
`protected void` `weightToString(StringBuilder r)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SrndQuery

    public SrndQuery()

### Method Detail

#### setWeight

    public void setWeight(float w)

#### isWeighted

    public boolean isWeighted()

#### getWeight

    public float getWeight()

#### getWeightString

    public String getWeightString()

#### getWeightOperator

    public String getWeightOperator()

#### weightToString

    protected void weightToString(StringBuilder r)

#### makeLuceneQueryField

    public Query makeLuceneQueryField(String fieldName,
                                      BasicQueryFactory qf)

#### makeLuceneQueryFieldNoBoost

    public abstract Query makeLuceneQueryFieldNoBoost(String fieldName,
                                                      BasicQueryFactory qf)

#### toString

    public abstract String toString()

This method is used by `hashCode()` and `equals(Object)`, see LUCENE-2945.

Overrides:
  `toString` in class `Object`

#### isFieldsSubQueryAcceptable

    public boolean isFieldsSubQueryAcceptable()

#### clone

    public SrndQuery clone()

Overrides:
  `clone` in class `Object`

#### hashCode

    public int hashCode()

For subclasses of `SrndQuery` within the package `org.apache.lucene.queryparser.surround.query` it is not necessary to override this method,

Overrides:
  `hashCode` in class `Object`
See Also:
  `toString()`

#### equals

    public boolean equals(Object obj)

For subclasses of `SrndQuery` within the package `org.apache.lucene.queryparser.surround.query` it is not necessary to override this method,

Overrides:
  `equals` in class `Object`
See Also:
  `toString()`